import request from '@/utils/request'

// 创建企业微信成员
export function createCpUser(data) {
  return request({
    url: '/system/cp-user/create',
    method: 'post',
    data: data
  })
}

// 更新企业微信成员
export function updateCpUser(data) {
  return request({
    url: '/system/cp-user/update',
    method: 'put',
    data: data
  })
}

// 删除企业微信成员
export function deleteCpUser(id) {
  return request({
    url: '/system/cp-user/delete?id=' + id,
    method: 'delete'
  })
}

// 获得企业微信成员
export function getCpUser(id) {
  return request({
    url: '/system/cp-user/get?id=' + id,
    method: 'get'
  })
}

// 获得企业微信成员分页
export function getCpUserPage(query) {
  return request({
    url: '/system/cp-user/page',
    method: 'get',
    params: query
  })
}

// 导出企业微信成员 Excel
export function exportCpUserExcel(query) {
  return request({
    url: '/system/cp-user/export-excel',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
